.. role:: hidden
    :class: hidden-section

.. _optimizers:

Optimizers
==========

Optimizers update the Model parameters based on the gradients.

.. automodule:: fairseq.optim
    :members:

.. autoclass:: fairseq.optim.FairseqOptimizer
    :members:
    :undoc-members:

.. autoclass:: fairseq.optim.adadelta.Adadelta
    :members:
    :undoc-members:
.. autoclass:: fairseq.optim.adagrad.Adagrad
    :members:
    :undoc-members:
.. autoclass:: fairseq.optim.adafactor.FairseqAdafactor
    :members:
    :undoc-members:
.. autoclass:: fairseq.optim.adam.FairseqAdam
    :members:
    :undoc-members:
.. autoclass:: fairseq.optim.fp16_optimizer.FP16Optimizer
    :members:
    :undoc-members:
.. autoclass:: fairseq.optim.nag.FairseqNAG
    :members:
    :undoc-members:
.. autoclass:: fairseq.optim.sgd.SGD
    :members:
    :undoc-members:
